netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
logintest.c File Reference
`#include <getopt.h>`
`#include "afpclient.h"`
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Functions
STATIC void | connect_server (CONN *conn)
STATIC void | test1 (void)
STATIC void | test2 (void)
STATIC void | test3 (void)
STATIC void | test4 (void)
STATIC void | test5 (void)
STATIC void | test6 (void)
void | usage (char *av0)
int | main (int ac, char **av)

## Variables
uint16_t | VolID
CONN * | Conn
CONN * | Conn2
int | ExitCode = 0
int | PassCount = 0
int | FailCount = 0
int | SkipCount = 0
int | NotTestedCount = 0
char | FailedTests [1024][256] = {{0}}
char | NotTestedTests [1024][256] = {{0}}
char | SkippedTests [1024][256] = {{0}}
DSI * | Dsi
char | Data [300000] = ""
char * | Server = "localhost"
char * | Server2
int | Port = DSI_AFPOVERTCP_PORT
char * | Password = ""
char * | Vol = ""
char * | User
char * | User2
char * | Path
int | Version = 34
int | List = 0
int | Mac = 0
int | EmptyVol = 0
char * | Test
static char * | vers = "AFP3.4"

## Function Documentation

## ◆ connect_server()

STATIC void connect_server | ( | CONN * | conn | ) |

## ◆ main()

int main | ( | int | ac,
|  | char ** | av )

## ◆ test1()

STATIC void test1 | ( | void |  | ) |

## ◆ test2()

STATIC void test2 | ( | void |  | ) |

## ◆ test3()

STATIC void test3 | ( | void |  | ) |

## ◆ test4()

STATIC void test4 | ( | void |  | ) |

## ◆ test5()

STATIC void test5 | ( | void |  | ) |

## ◆ test6()

STATIC void test6 | ( | void |  | ) |

## ◆ usage()

void usage | ( | char * | av0 | ) |

## Variable Documentation

## ◆ Conn

CONN* Conn

## ◆ Conn2

CONN* Conn2

## ◆ Data

char Data[300000] = ""

## ◆ Dsi

DSI* Dsi

## ◆ EmptyVol

int EmptyVol = 0

## ◆ ExitCode

int ExitCode = 0

## ◆ FailCount

int FailCount = 0

## ◆ FailedTests

char FailedTests[1024][256] = {{0}}

## ◆ List

int List = 0

## ◆ Mac

int Mac = 0

## ◆ NotTestedCount

int NotTestedCount = 0

## ◆ NotTestedTests

char NotTestedTests[1024][256] = {{0}}

## ◆ PassCount

int PassCount = 0

## ◆ Password

char* Password = ""

## ◆ Path

char* Path

## ◆ Port

int Port = DSI_AFPOVERTCP_PORT

## ◆ Server

char* Server = "localhost"

## ◆ Server2

char* Server2

## ◆ SkipCount

int SkipCount = 0

## ◆ SkippedTests

char SkippedTests[1024][256] = {{0}}

## ◆ Test

char* Test

## ◆ User

char* User

## ◆ User2

char* User2

## ◆ vers

char* vers = "AFP3.4"
| static

## ◆ Version

int Version = 34

## ◆ Vol

char* Vol = ""

## ◆ VolID

uint16_t VolID